Subject: Re: undefined reference to `GetStockObject@4' ??
From: [email-masked] (Mumit Khan)

22 Mar 1998 21:14:16 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: "[email-masked]" <[email-masked]>

Jason Dagit <[email-masked]> writes:
> 
> I'm a still a newbie and I'm still having troubles.  Could someone help
> me figure out why gcc can't find GetStockObject on my configuration? 
> The command line I use is:
> gcc -ofoo.exe foo.c -lkernel32 -luser32 -Wl,--subsystem,windows 

1. DO NOT use -lkernel32 explicitly. It's a big no no. Let gcc figure out
   this stuff. It causes programs to mysteriously fail at run time.
> 
> My guess is that I'm not linking a lib that I should be.  Or else, one
> of my header files or libs is missing the definition of GetStockObject,
> but that seems less likely.

it's -lgdi32, but -mwindows option should've added that for you.

Mumit
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".